import { circle, curveLinear } from 'd3';
export const Marks = ({
  data,
  xScale,
  yScale,
  xValue,
  yValue,
  circleScale,
	circleValue
}) => (
  data.map(d => (
    <circle
      className="marks"
      cx={xScale(xValue(d))}
      cy={yScale(yValue(d))}
      r={circleScale(circleValue(d))}
    >
    </circle>
  )));
