import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/erikerickson/3e00a2fa07cb8b3dcf9cb5fc4d85320d/raw/2c6ed56418da6e90d27c78530971434f9f527989/StudentAttendanceRetention.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.Chronically_Absent = +d.Chronically_Absent;
      d.Retentions = +d.Retentions;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};